@import "fonts";
@import "variables";
@import "global";
@import "mixins";
@import "prices";
@import "reserve";
@import "slider";
@import "admin";

.burger__menu{
    display: none;
}

//HEADER

.header{
    &__wrapper{
        font-family: $button-font;
        font-weight: 400;
    }
    &__info{
        display: flex;
        justify-content: center;
        padding: 20px 0px;
        color: $white;
        a{
            color: $white;
        }
        span{
            display: flex;
            align-items: center;
            align-content: center;
            margin: 0 auto;
            @include info-style;
        }
        span:hover, a:hover{
            color: #B22E3C;
        }
        img{
            @include icon-desktop;
            margin: 0 10px;
        }
    }
    &__menu{
        display: flex;
        justify-content: space-between;
        align-items: center;
        background: $gray-light;
        &-logo{
                margin: 0 auto;
            img{
                width: 110px;
                height: 110px;
            }
        }
        &-list{
            margin: 0 auto;
            ul li{
                display: inline-block;
                @include buttons-style;
            }
            li:hover{
                background: $text-color;
                color: $bg-color;
                border: 1px solid #B22E3C;
            }
        }
    }
    &__bg-image{
        position: relative;
        img{
            width: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
    }
    &__title{
        @include section-title-header;
        font-size: 37px;
        position: absolute;
        top: 20%;
        left: 20%;
        right: 20%;
    }
}

//ABOUT

.about{

    &__title{
        @include section-title;
    }
    &__wrapper{
        margin: 30px auto;
        background: $gray-light;
    }
    &__box {
        font-size: 50px;
        color: $white;
        display: flex;
        padding-top: 20px;
        align-items: center;
        &-img {
            flex: 2 1 33.333%;
            text-align: center;
            img {
                object-fit: cover;
                width: 100px;
                height: 100px;
            }
            img:hover {
                object-fit: cover;
                width: 180px;
                height: 180px;
                transition: 0.3s;

            }
        }

        &-description {
            padding: 10px 20px;
            flex: 1 2 66.667%;
        }

        &-title {
            border: none;
            @include section-title-header;
            font-size: 40px;
            width: 60%;
            text-align: center;
            margin: 0 22%;
        }

        &-text {
            margin: 30px;
            text-align: justify;
            @include text-description;
        }

        &-rev {
            flex-direction: row-reverse;
        }

    }

    &__button {
        display: flex;
        justify-content: center;
        margin: 0 0 30px 0;
        a {
            @include form-button;
            text-align: center;
            width: auto;
            margin-bottom: 15px;
        }
        a:hover{
            background: $text-color;
            color: $bg-color;
            border: 1px solid #B22E3C;
        }

    }

}

//SERVICE
.service{
    &__title{
        padding: 20px 0;
        margin: 30px auto;
        width: 25%;
        @include section-title;
    }
    &__items-wrapper{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin: 0 auto;
    }
    &__item{
        position: relative;
        padding: 20px;
        img{
            object-fit: cover;
            width: 350px;
            height: 350px;
            opacity: 0.5;
        }
        img:hover{
            opacity: 1;
        }
    }
    &__item-title{
        @include services-style;
    }
}

//BOOK

.reserve{
    margin: 50px 0;
    background: $gray-light;
    padding: 20px 0;
    &__title{
        margin: 30px auto;
        width: 25%;
        @include section-title;
    }
    &__btn{
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 15px 0;
        a{
            @include form-button;
        }
        a:hover{
            background: $text-color;
            color: $bg-color;
            border: 1px solid #B22E3C;
        }
    }

}

//TEAM

.team{
    &__title{
        margin: 30px auto;
        width: 25%;
        @include section-title;
    }
    &__wrapper{
        margin: 4% auto;
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
    }
    &__item{
        width: 350px;
        &-name{
            color: $white;
            text-align: center;
            font-family: $button-font;
            padding: 10px;
            &::before{
                content: "»";
                font-size: 25px;
                color: $text-color;
                margin-right: 10px;
            }
        }
        &-foto{
            text-align: center;
            img{
                object-fit: cover;
                width: 150px;
                height: 200px;

            }
        }
        &-social{
            display: flex;
            justify-content: space-around;
            padding: 10px;
            img{
                @include icon-desktop;
            }
        }
    }
}

//Contact

.contact{
    &__title{
        @include section-title;
    }
    &__wrapper{
        display: flex;
        justify-content: center;
        width: 100%;
        background: $gray-light;
        padding: 10px 0;
        form{
            display: flex;
            flex-direction: column;
            width: 850px;
        }
        input, textarea{
            border-bottom: 1px solid $text-color;
            background: transparent;
            font-family: "Play";
            padding: 15px;
            resize: none;
            font-size: 20px;
            overflow: hidden;
        }
        input.button{
            width: 50%;
            margin: 5% 23%;
            @include form-button;
        }
        input.button:hover{
            background: $text-color;
            color: $bg-color;
            border: 1px solid #B22E3C;
        }
    }
    &__map{
        display: flex;
        justify-content: center;
        align-items: center;
        align-content: center;
        margin: 0;
        width: 100%;
        iframe{
            width: 100%;
            height: 500px;
        }
    }
    &__info{

        margin: 10px;
        color: $white;
        display: flex;
        justify-content: space-around;
        &-title{
            font-family: $button-font;
            border-bottom: 1px solid #B22E3C;
            margin: 10px 0px;
            padding: 10px 0px;
            width: 100%;
            text-align: center;
        }
        &-items{
            font-family: "Play";
            font-size: 20px;
        }
        &-item{
            display: flex;
            padding: 5px;
            align-items: center;
            font-size: 20px;
            img{
                @include icon-desktop;
                padding: 5px;
            }
            a{
                color: $white;
            }
        }
    }
}

//Footer

.footer{
    background-color: black;
    width: 100%;
    &__title{
        color: $white;
        text-align: center;
        padding: 10px 0;
        font-family: $text-font;
    }
}

.topButton{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: 30px;
    background: $text-color;
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 5;
    span{
        color: $white;
        font-size: 30px;
        position: fixed;
        right: 8px;
        bottom: 3px;
        transform: rotate(90deg);
    }
}

.news{
    &__title{
        @include section-title;
    }

    &__inner{
        display: flex;
        justify-content: space-between;
        margin: 0 auto;
        width: 80%;
        &-img{
            display: flex;
            justify-content: center;
        }
        img{
            width: 350px;
            height: 350px;
        }
        &-data{
            margin: 0 auto;
            width: 80%;
            font-family: $text-font;
            color: $white;
        }
        &-title{
            text-align: center;
            margin: 20px auto;
            font-size: 22px;
        }
        &-text{
            text-align: justify;
            margin: 20px 20px;
            font-size: 20px;
        }

    }
}

.menu-dots{
    border-radius: 0;
}


@import "media";
@import "~animate.css/animate.css";

